2019-08-24 22:39 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004757Spring engineGeneralpublic2016-02-03 22:21
ReporterShadowfury333 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version98.0.1+git 
Target VersionFixed in Version100.0+git 
Summary0004757: Bumpmapped water with BumpWaterRefraction=2 hides nanoframe lines underwater
DescriptionWhen building a unit or building underwater, the lines and flat-shaded faces that should show normally do not, and the unit or building only appears underwater once the build animation has gotten to the textured stage.

Curiously, this only happens with bumpmapped water, not dynamic water.
Steps To ReproduceSet BumpWaterRefraction = 2 and use bumpmapped water (ReflectiveWater = 4) in springsettings.config
Open a Spring game and map that allows underwater construction (tested with Zero-K v1.3.4.4 on IncultaV2WetV3).
Build something underwater, possibly also build something on land or on a shore for comparison.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0015613

Kloot (developer)

fixed as part of c2680eb
+Notes

-Issue History
Date Modified Username Field Change
2015-04-25 18:22 Shadowfury333 New Issue
2016-02-03 22:21 Kloot Note Added: 0015613
2016-02-03 22:21 Kloot Status new => resolved
2016-02-03 22:21 Kloot Fixed in Version => 100.0+git
2016-02-03 22:21 Kloot Resolution open => fixed
2016-02-03 22:21 Kloot Assigned To => Kloot
+Issue History